<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/General/XHXExtention/XHXBlankView.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_blank_view_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXBlankView.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_blank_view_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXBlankView.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  Masonry</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by 江俊辰 on 2018/3/26.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;KKLThirdParty/Lottie.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#pragma mark - XHXBlankView</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="interface_x_h_x_blank_view.html">   13</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> : UIView</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">   14</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic) UIView *<a class="code" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_x_h_x_blank_view.html#a5d1cef7918ce06e79bc3e5c416a8dbf3">   15</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat topOffset <a class="code" href="interface_x_h_x_blank_view.html#a5d1cef7918ce06e79bc3e5c416a8dbf3">UI_APPEARANCE_SELECTOR</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;+ (instancetype)<a class="code" href="interface_x_h_x_blank_view.html#a297fdebfa0b1d7221b9f6e7418c82e56">blankView</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;+ (<a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *)blankViewInView:(UIView *)view;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;+ (instancetype)showInView:(UIView *)view animated:(BOOL)animated;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;+ (instancetype)hideInView:(UIView *)view animated:(BOOL)animated;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;- (void)showInView:(UIView *)view animated:(BOOL)animated;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;- (void)hideWithAnimated:(BOOL)animated;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment">// Override</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;- (void)<a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#pragma mark - XHXImageBlankView</span></div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="interface_x_h_x_image_blank_view.html">   54</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_image_blank_view.html">XHXImageBlankView</a> : <a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a></div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">   55</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) UIImageView *imageView;</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="interface_x_h_x_image_blank_view.html#ab7808b23f58c2b953ef62487165098c5">   56</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) LOTAnimationView  *animationView;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#pragma mark - XHXAtivityBlankView</span></div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="interface_x_h_x_activity_blank_view.html">   60</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_activity_blank_view.html">XHXActivityBlankView</a> : <a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a></div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="interface_x_h_x_activity_blank_view.html#adda70ee086ec0c39fd33a69cdbe183c2">   61</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) UIActivityIndicatorView *activityView;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#pragma mark - XHXTextBlankView</span></div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_blank_view.html">   65</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> : <a class="code" href="interface_x_h_x_image_blank_view.html">XHXImageBlankView</a></div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">   66</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) UILabel *textLabel;       </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_blank_view.html#aa1df327fc418a74ad5ce096e18482be5">   67</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) UILabel *subTextLabel;    </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">   68</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) UIButton *refreshButton;  </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;- (void)setRefreshTitle:(NSString *)title target:(<span class="keywordtype">id</span>)target action:(<span class="keywordtype">SEL</span>)action;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;- (void)setRefreshTitle:(NSString *)title actionBlock:(<span class="keywordtype">void</span>(^)(<span class="keywordtype">void</span>))block;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#pragma mark - XHXTextBlankView</span></div>
<div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_loading_blank_view.html">   89</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_text_loading_blank_view.html">XHXTextLoadingBlankView</a> : <a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_activity_blank_view_html"><div class="ttname"><a href="interface_x_h_x_activity_blank_view.html">XHXActivityBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00060">XHXBlankView.h:61</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00065">XHXBlankView.h:66</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_loading_blank_view_html"><div class="ttname"><a href="interface_x_h_x_text_loading_blank_view.html">XHXTextLoadingBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00089">XHXBlankView.h:90</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html"><div class="ttname"><a href="interface_x_h_x_blank_view.html">XHXBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00013">XHXBlankView.h:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_a297fdebfa0b1d7221b9f6e7418c82e56"><div class="ttname"><a href="interface_x_h_x_blank_view.html#a297fdebfa0b1d7221b9f6e7418c82e56">+[XHXBlankView blankView]</a></div><div class="ttdeci">instancetype blankView()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:71</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_ad58894774a7544c65288b4ec5ef0c101"><div class="ttname"><a href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">XHXBlankView::contentView</a></div><div class="ttdeci">UIView * contentView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00014">XHXBlankView.h:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_afb4aeea762e27b04d41132d401d69685"><div class="ttname"><a href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">-[XHXBlankView setupSubViews]</a></div><div class="ttdeci">void setupSubViews()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:44</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_a5d1cef7918ce06e79bc3e5c416a8dbf3"><div class="ttname"><a href="interface_x_h_x_blank_view.html#a5d1cef7918ce06e79bc3e5c416a8dbf3">XHXBlankView::UI_APPEARANCE_SELECTOR</a></div><div class="ttdeci">CGFloat topOffset UI_APPEARANCE_SELECTOR</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00015">XHXBlankView.h:15</a></div></div>
<div class="ttc" id="ainterface_x_h_x_image_blank_view_html"><div class="ttname"><a href="interface_x_h_x_image_blank_view.html">XHXImageBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00054">XHXBlankView.h:55</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_171c39b2a2b35fab3d93e826831e70cd.html">General</a></li><li class="navelem"><a class="el" href="dir_784e7c0a36eed507ba0bedc400637f17.html">XHXExtention</a></li><li class="navelem"><a class="el" href="_x_h_x_blank_view_8h.html">XHXBlankView.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
